Update interface Of gateway

Update interface Of gateway
Update interface of gateway

Updates interface of an Edge Services Gateway for the given input id and given input index

Request
URI
PUT
https://{server}/hybridity/api/gateways/{id}/interfaces/{index}
COPY
Path Parameters
string
id
Required

id

integer
index
Required

index

Query Parameters
boolean
async
Optional

async


Request Body
nls_1.0_edgeInterface of type(s) application/json
Required
"nls_1.0_edgeInterface Object"
Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns nls_1.0_asyncResponse of type(s) application/json
"nls_1.0_asyncResponse Object"

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/hybridity/api/gateways/{id}/interfaces/{index}